SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

CREATE DATABASE IF NOT EXISTS `kleinedatenbank` DEFAULT CHARACTER SET latin1 COLLATE latin1_german1_ci;
USE `kleinedatenbank`;
-- --------------------------------------------------------

CREATE TABLE `klasse` (
  `id` int(10) NOT NULL,
  `name` varchar(20) DEFAULT NULL,
  `klassenlehrer_id` int(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `klasse` (`id`, `name`, `klassenlehrer_id`) VALUES
(1, '8A', 2),
(2, '8B', 4),
(3, '8C', 1),
(4, '8D', 5);
-- -------------------------------------------------------

CREATE TABLE `lehrer` (
  `id` int(10) NOT NULL,
  `name` varchar(20) DEFAULT NULL,
  `vorname` varchar(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `lehrer` (`id`, `name`, `vorname`) VALUES
(1, 'Buttenmüller', 'Georg'),
(2, 'Zimmermann', 'Josef'),
(3, 'Amann', 'Brigitte'),
(4, 'Huber', 'Erika'),
(5, 'Rees', 'Günter');
-- --------------------------------------------------------

CREATE TABLE `raum` (
  `id` int(10) NOT NULL,
  `nummer` varchar(20) DEFAULT NULL,
  `plaetze` int(10) DEFAULT NULL,
  `etage` varchar(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `raum` (`id`, `nummer`, `plaetze`, `etage`) VALUES
(1, 'R110', 12, 'unten'),
(2, 'R112', 14, 'unten'),
(3, 'R203', 30, 'mitte'),
(4, 'R205', 16, 'mitte'),
(5, 'R306', 18, 'oben'),
(6, 'Sporthalle', 100, 'unten'),
(7, 'R208', 32, 'oben'),
(8, 'R101', 32, 'unten');
-- --------------------------------------------------------

CREATE TABLE `schueler` (
  `id` int(10) NOT NULL,
  `name` varchar(20) DEFAULT NULL,
  `vorname` varchar(20) DEFAULT NULL,
  `klasse_id` int(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `schueler` (`id`, `name`, `vorname`, `klasse_id`) VALUES
(1, 'Meier', 'Johannes', 2),
(2, 'Schwarzmüller', 'Maria', 3),
(3, 'Schmidt', 'Michael', 1),
(4, 'Ebert', 'Anne', 2),
(8, 'Zimmermann', 'Anne', 1),
(9, 'Wiesenhoff', 'Christian', 3);
-- --------------------------------------------------------

CREATE TABLE `unterricht` (
  `id` int(10) NOT NULL,
  `klasse_id` int(10) DEFAULT NULL,
  `lehrer_id` int(10) DEFAULT NULL,
  `raum_id` int(10) DEFAULT NULL,
  `fach` varchar(20) DEFAULT NULL,
  `stunden` int(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `unterricht` (`id`, `klasse_id`, `lehrer_id`, `raum_id`, `fach`, `stunden`) VALUES
(1, 1, 2, 2, 'Deutsch', 4),
(2, 1, 3, 4, 'Mathe', 4),
(3, 1, 4, 6, 'Sport', 3),
(4, 2, 2, 4, 'Deutsch', 4),
(5, 2, 4, 1, 'Sport', 3),
(6, 3, 4, 3, 'Deutsch', 4),
(7, 3, 1, 2, 'Englisch', 4),
(8, 3, 2, 5, 'Geschichte', 2),
(9, 3, 4, 6, 'Sport', 3);

-- Indizes
ALTER TABLE `klasse`
  ADD PRIMARY KEY (`id`),
  ADD KEY `klassenlehrer_id` (`klassenlehrer_id`);

ALTER TABLE `lehrer`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `raum`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `schueler`
  ADD PRIMARY KEY (`id`),
  ADD KEY `klasse_id` (`klasse_id`);

ALTER TABLE `unterricht`
  ADD PRIMARY KEY (`id`),
  ADD KEY `klasse_id` (`klasse_id`),
  ADD KEY `lehrer_id` (`lehrer_id`),
  ADD KEY `raum_id` (`raum_id`);

ALTER TABLE `klasse`
  ADD CONSTRAINT `klasse_ibfk_1` FOREIGN KEY (`klassenlehrer_id`) REFERENCES `lehrer` (`id`);

ALTER TABLE `schueler`
  ADD CONSTRAINT `schueler_ibfk_1` FOREIGN KEY (`klasse_id`) REFERENCES `klasse` (`id`);

ALTER TABLE `unterricht`
  ADD CONSTRAINT `unterricht_ibfk_1` FOREIGN KEY (`raum_id`) REFERENCES `raum` (`id`),
  ADD CONSTRAINT `unterricht_ibfk_2` FOREIGN KEY (`lehrer_id`) REFERENCES `lehrer` (`id`),
  ADD CONSTRAINT `unterricht_ibfk_3` FOREIGN KEY (`klasse_id`) REFERENCES `klasse` (`id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;